ga(@fit_func,4)

function sse = fit_func(x)
% Gene 1
MS=x(:,1);
% Gene 2
A=x(:,2);
% Gene 3
C=x(:,3);
% Gene 4
K=x(:,4);
for l=1:length(MS)
    library = fopen('Circuit.lib','w');
    fprintf(library,'.MODEL Kbreak2 CORE\n+ MS=%f\n+ A=%f\n+ C=%f\n+ K=%f\n+ AREA=0.83\n+ PATH=11.13\n\n', MS(l), A(l), C(l), K(l));
    fclose(library);
    % Required output as tramsformer secondary
    act_c40 = csvread('IdealOp.csv');
    timestamp1 = act_c40(:,1);
    voltage1 = act_c40(:,2);
    % Call SPICE executable to run the SPICE simulation for the individual in the current GA generation	
    done=dos('"C:\Cadence\SPB_17.2\tools\bin\psp_cmd.exe" "HVITC.cir"');
    if done == 0
        sim_output = fopen('HVITC.csd','r');
        B=textscan(sim_output,'%s');
        fclose(sim_output);
        siz=size(B{1});
        token = zeros(1,siz(1)-5);
        s1 = zeros(1,siz(1)-5);
        time = zeros(1,siz(1)-5);

        for k = 1:(siz(1)-5)
            if strcmp(B{1}{k},'#C')
                time(k)=str2double(B{1}{k+1});
            end
        end
%         [times,ia,~]=unique(time);
	% Check if simulation failed
        if time(end)>= .5
            for i=1:length(time)
                for j = 1:length(timestamp1)
                    if time(i) == timestamp1(j) && token(i) == 0
                        measure11 = B{1}{i+3};
                        measure12 = B{1}{i+4};
                        measure11 = strsplit(measure11,':');
                        measure11 = measure11(1);
                        measure12 = strsplit(measure12,':');
                        measure12 = measure12(1);
                        conv_measure1 = (str2double(measure11)-str2double(measure12));
                        s1(i) = (conv_measure1-voltage1(j))^2;
                        token(i) = 1;
                    end
                end    
            end       
        end
    end
    sum1=nansum(s1);
    sse=(sqrt(sum1));
    % If simulation failed penalize the individual severly as it is an infeasible solution
    if times(end)< .5
        sse=100000000000
    end
    sqrt(sse)
    % Log results 
    csv_logs = fopen('Log.csv','a');
    fprintf(csv_logs,'MS=%f+ A=%f+ C=%f+ K=%f+ SCORE=%f\n', MS(l), A(l), C(l), K(l),sqrt(sse));
    fclose(csv_logs);
end
end
